-- SQL Manager Lite for SQL Server 4.1.0.45480
-- ---------------------------------------
-- Host      : borkorok\SQLEXPRESS
-- Database  : dp2016
-- Version   : Microsoft SQL Server 2012 11.0.5343.0



USE dp2016
GO

--
-- Definition for table Document : 
--

CREATE TABLE dbo.Document (
  id int IDENTITY(1, 1) NOT NULL,
  parentID int NULL,
  nazev nvarchar(200) COLLATE Czech_CI_AS NULL,
  typ int NULL,
  PRIMARY KEY CLUSTERED (id)
    WITH (
      PAD_INDEX = OFF, IGNORE_DUP_KEY = OFF, STATISTICS_NORECOMPUTE = OFF,
      ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)
ON [PRIMARY]
GO

--
-- Definition for table DocumentType : 
--

CREATE TABLE dbo.DocumentType (
  id int IDENTITY(1, 1) NOT NULL,
  popis varchar(30) COLLATE Czech_CI_AS NULL,
  PRIMARY KEY CLUSTERED (id)
    WITH (
      PAD_INDEX = OFF, IGNORE_DUP_KEY = OFF, STATISTICS_NORECOMPUTE = OFF,
      ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)
ON [PRIMARY]
GO

--
-- Definition for table Pozice : 
--

CREATE TABLE dbo.Pozice (
  id int IDENTITY(1, 1) NOT NULL,
  nazev nvarchar(30) COLLATE Czech_CI_AS NULL,
  sazba decimal(18, 0) NULL,
  PRIMARY KEY CLUSTERED (id)
    WITH (
      PAD_INDEX = OFF, IGNORE_DUP_KEY = OFF, STATISTICS_NORECOMPUTE = OFF,
      ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)
ON [PRIMARY]
GO

--
-- Definition for table Projekt : 
--

CREATE TABLE dbo.Projekt (
  id int IDENTITY(1, 1) NOT NULL,
  nazev nvarchar(30) COLLATE Czech_CI_AS NULL,
  typ int NULL,
  stav int NULL,
  sazba money NULL,
  faze1 datetime NULL,
  faze2 datetime NULL,
  faze3 datetime NULL,
  PRIMARY KEY CLUSTERED (id)
    WITH (
      PAD_INDEX = OFF, IGNORE_DUP_KEY = OFF, STATISTICS_NORECOMPUTE = OFF,
      ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)
ON [PRIMARY]
GO

--
-- Definition for table tbl : 
--

CREATE TABLE dbo.tbl (
  action varchar(20) COLLATE Czech_CI_AS NOT NULL,
  view_edit varchar(20) COLLATE Czech_CI_AS NOT NULL
)
ON [PRIMARY]
GO

--
-- Definition for table Tym : 
--

CREATE TABLE dbo.Tym (
  id int IDENTITY(1, 1) NOT NULL,
  zkratka varchar(30) COLLATE Czech_CI_AS NULL,
  projektID int NULL,
  PRIMARY KEY CLUSTERED (id)
    WITH (
      PAD_INDEX = OFF, IGNORE_DUP_KEY = OFF, STATISTICS_NORECOMPUTE = OFF,
      ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)
ON [PRIMARY]
GO

--
-- Definition for table Zamestnanec : 
--

CREATE TABLE dbo.Zamestnanec (
  id int IDENTITY(1, 1) NOT NULL,
  jmeno nvarchar(30) COLLATE Czech_CI_AS NULL,
  prijmeni nvarchar(30) COLLATE Czech_CI_AS NULL,
  datumNarozeni datetime NULL,
  pohlavi int NULL,
  PRIMARY KEY CLUSTERED (id)
    WITH (
      PAD_INDEX = OFF, IGNORE_DUP_KEY = OFF, STATISTICS_NORECOMPUTE = OFF,
      ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)
ON [PRIMARY]
GO

--
-- Definition for table Zamestnanec_DUPL : 
--

CREATE TABLE dbo.Zamestnanec_DUPL (
  id int IDENTITY(1, 1) NOT NULL,
  jmeno nvarchar(30) COLLATE Czech_CI_AS NULL,
  prijmeni nvarchar(30) COLLATE Czech_CI_AS NULL,
  datumNarozeni datetime NULL,
  pohlavi int NULL,
  PRIMARY KEY CLUSTERED (id)
    WITH (
      PAD_INDEX = OFF, IGNORE_DUP_KEY = OFF, STATISTICS_NORECOMPUTE = OFF,
      ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)
ON [PRIMARY]
GO

--
-- Definition for table ZamestnanecTym : 
--

CREATE TABLE dbo.ZamestnanecTym (
  id int IDENTITY(1, 1) NOT NULL,
  tymID int NULL,
  zamestnanecID int NULL,
  poziceID int NULL,
  stav int NULL,
  PRIMARY KEY CLUSTERED (id)
    WITH (
      PAD_INDEX = OFF, IGNORE_DUP_KEY = OFF, STATISTICS_NORECOMPUTE = OFF,
      ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)
ON [PRIMARY]
GO

--
-- Definition for table ZamestnanecTymPrace : 
--

CREATE TABLE dbo.ZamestnanecTymPrace (
  id int IDENTITY(1, 1) NOT NULL,
  zamestnanecTymID int NULL,
  mnozstvi int NULL,
  datumPrace datetime NULL,
  popis nvarchar(max) COLLATE Czech_CI_AS NULL,
  obdobi_COMP AS (CONVERT([varchar](4),datepart(year,[datumPrace]))+'/')+right('0'+CONVERT([varchar](2),datepart(month,[datumprace])),(2)),
  casOd time(7) NULL,
  casDo time(7) NULL,
  PRIMARY KEY CLUSTERED (id)
    WITH (
      PAD_INDEX = OFF, IGNORE_DUP_KEY = OFF, STATISTICS_NORECOMPUTE = OFF,
      ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON)
)
ON [PRIMARY]
GO

--
-- Definition for stored procedure getFK : 
--
GO
SET ANSI_NULLS ON
SET QUOTED_IDENTIFIER ON
GO

create proc dbo.getFK (
   @table varchar(256), 
   @lvl int=0, 
   @ParentTable varchar(256)='', 
   @debug bit = 1) 
AS begin
	set noCOUNT on;
	declare @dbg bit;
	set @dbg=@debug;
	if object_id('tempdb..#tbl', 'U') is null
		create table  #tbl  (id int identity, tablename varchar(256), lvl int, ParentTable varchar(256));
	declare @curS cursor;
	if @lvl = 0
		insert into #tbl (tablename, lvl, ParentTable)
		SELECT @table, @lvl, Null;
	else
		insert into #tbl (tablename, lvl, ParentTable)
		SELECT @table, @lvl,@ParentTable;
	if @dbg=1	
		print replicate('----', @lvl) + 'lvl ' + cast(@lvl AS varchar(10)) + ' 
= ' + @table;
	
	if not exists (SELECT * FROM sys.foreign_keys WHERE referenced_object_id = object_id(@table))
		return;
	else
	begin -- else
		set @ParentTable = @table;
		set @curS = cursor for
		SELECT
tablename=object_schema_name(parent_object_id)+'.'+object_name(parent_object_id)
		FROM sys.foreign_keys
		WHERE referenced_object_id = object_id(@table)
		and parent_object_id <> referenced_object_id; 

		open @curS;
		fetch next FROM @curS into @table;

		while @@fetch_status = 0
		begin 
			set @lvl = @lvl+1;
			-- recursive call
			exec dbo.getFK @table, @lvl, @ParentTable, @dbg;
			set @lvl = @lvl-1;
			fetch next FROM @curS into @table;
		END 
		close @curS;
		deallocate @curS;
	END 
	if @lvl = 0
		SELECT * FROM #tbl;
	return;
END
GO

--
-- Definition for stored procedure VyberZamestnance : 
--
GO
SET ANSI_NULLS ON
SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE dbo.VyberZamestnance (
	@OrderBy varchar(20),
    @OrderByDirection char(1))
AS
BEGIN
	SELECT * FROM zamestnanec
    ORDER BY
    CASE WHEN @OrderBy = 'Prijmeni'	AND @OrderByDirection = 'D'
	  	 THEN Prijmeni END DESC,
	CASE WHEN @OrderBy = 'Prijmeni' AND @OrderByDirection != 'D'
		 THEN Prijmeni END,
	CASE WHEN @OrderBy = 'Narozen' AND @OrderByDirection = 'D'
		 THEN datumNarozeni END DESC,
	CASE WHEN @OrderBy = 'Narozen' AND @OrderByDirection != 'D'
		 THEN datumNarozeni END
END
GO

--
-- Data for table dbo.Document  (LIMIT 0,500)
--

SET IDENTITY_INSERT dbo.Document ON
GO

BEGIN TRANSACTION
GO

INSERT INTO dbo.Document (id, parentID, nazev, typ)
VALUES 
  (1, NULL, N'root', 0)
GO

INSERT INTO dbo.Document (id, parentID, nazev, typ)
VALUES 
  (2, 1, N'adresar1', 0)
GO

INSERT INTO dbo.Document (id, parentID, nazev, typ)
VALUES 
  (3, 1, N'adresar2', 0)
GO

INSERT INTO dbo.Document (id, parentID, nazev, typ)
VALUES 
  (4, 2, N'file11', 1)
GO

INSERT INTO dbo.Document (id, parentID, nazev, typ)
VALUES 
  (5, 2, N'file12', 1)
GO

INSERT INTO dbo.Document (id, parentID, nazev, typ)
VALUES 
  (6, 2, N'adresar11', 0)
GO

INSERT INTO dbo.Document (id, parentID, nazev, typ)
VALUES 
  (7, 6, N'file111', NULL)
GO

INSERT INTO dbo.Document (id, parentID, nazev, typ)
VALUES 
  (8, 3, N'file21', NULL)
GO

INSERT INTO dbo.Document (id, parentID, nazev, typ)
VALUES 
  (9, 3, N'file22', NULL)
GO

COMMIT
GO

SET IDENTITY_INSERT dbo.Document OFF
GO

--
-- Data for table dbo.DocumentType  (LIMIT 0,500)
--

SET IDENTITY_INSERT dbo.DocumentType ON
GO

BEGIN TRANSACTION
GO

INSERT INTO dbo.DocumentType (id, popis)
VALUES 
  (1, N'Directory')
GO

INSERT INTO dbo.DocumentType (id, popis)
VALUES 
  (2, N'File')
GO

COMMIT
GO

SET IDENTITY_INSERT dbo.DocumentType OFF
GO

--
-- Data for table dbo.Pozice  (LIMIT 0,500)
--

SET IDENTITY_INSERT dbo.Pozice ON
GO

BEGIN TRANSACTION
GO

INSERT INTO dbo.Pozice (id, nazev, sazba)
VALUES 
  (1, N'Manager projektu', 100)
GO

INSERT INTO dbo.Pozice (id, nazev, sazba)
VALUES 
  (2, N'Koordintor', 90)
GO

INSERT INTO dbo.Pozice (id, nazev, sazba)
VALUES 
  (3, N'Analytik', 80)
GO

INSERT INTO dbo.Pozice (id, nazev, sazba)
VALUES 
  (4, N'Vvoj', 70)
GO

INSERT INTO dbo.Pozice (id, nazev, sazba)
VALUES 
  (5, N'Designr', 70)
GO

COMMIT
GO

SET IDENTITY_INSERT dbo.Pozice OFF
GO

--
-- Data for table dbo.Projekt  (LIMIT 0,500)
--

SET IDENTITY_INSERT dbo.Projekt ON
GO

BEGIN TRANSACTION
GO

INSERT INTO dbo.Projekt (id, nazev, typ, stav, sazba, faze1, faze2, faze3)
VALUES 
  (1, N'Web msta slav', 1, 1, 1000, '20140101', '20140515', '20140720')
GO

INSERT INTO dbo.Projekt (id, nazev, typ, stav, sazba, faze1, faze2, faze3)
VALUES 
  (2, N'Nemocnice Trutnov', 2, 1, 1500, '20140305', '20150101', '20141030')
GO

INSERT INTO dbo.Projekt (id, nazev, typ, stav, sazba, faze1, faze2, faze3)
VALUES 
  (3, N'Hotely Praha', 2, 1, 2000, '20151204', '20150705', '20150812')
GO

INSERT INTO dbo.Projekt (id, nazev, typ, stav, sazba, faze1, faze2, faze3)
VALUES 
  (4, N'Datov analzy pro ABC. s.r.o.', 3, 1, 2500, '20140707', '20141024', '20150105')
GO

INSERT INTO dbo.Projekt (id, nazev, typ, stav, sazba, faze1, faze2, faze3)
VALUES 
  (5, N'SONO centrum Marinsk Lzn', 1, 1, 3000, '20150305', '20141205', '20141208')
GO

COMMIT
GO

SET IDENTITY_INSERT dbo.Projekt OFF
GO

--
-- Data for table dbo.tbl  (LIMIT 0,500)
--

BEGIN TRANSACTION
GO

INSERT INTO dbo.tbl (action, view_edit)
VALUES 
  (N'Action1', N'VIEW')
GO

INSERT INTO dbo.tbl (action, view_edit)
VALUES 
  (N'Action1', N'EDIT')
GO

INSERT INTO dbo.tbl (action, view_edit)
VALUES 
  (N'Action2', N'VIEW')
GO

INSERT INTO dbo.tbl (action, view_edit)
VALUES 
  (N'Action3', N'VIEW')
GO

INSERT INTO dbo.tbl (action, view_edit)
VALUES 
  (N'Action3', N'EDIT')
GO

COMMIT
GO

--
-- Data for table dbo.Tym  (LIMIT 0,500)
--

SET IDENTITY_INSERT dbo.Tym ON
GO

BEGIN TRANSACTION
GO

INSERT INTO dbo.Tym (id, zkratka, projektID)
VALUES 
  (1, N'WEBCS', 1)
GO

INSERT INTO dbo.Tym (id, zkratka, projektID)
VALUES 
  (2, N'NEMTR', 2)
GO

INSERT INTO dbo.Tym (id, zkratka, projektID)
VALUES 
  (3, N'HOTPR', 3)
GO

INSERT INTO dbo.Tym (id, zkratka, projektID)
VALUES 
  (4, N'DATAN_ABC', 4)
GO

COMMIT
GO

SET IDENTITY_INSERT dbo.Tym OFF
GO

--
-- Data for table dbo.Zamestnanec  (LIMIT 0,500)
--

SET IDENTITY_INSERT dbo.Zamestnanec ON
GO

BEGIN TRANSACTION
GO

INSERT INTO dbo.Zamestnanec (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (1, N'Jan', N'Novk', '19800101', 0)
GO

INSERT INTO dbo.Zamestnanec (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (2, N'Karel', N'Novk', '19630222', 0)
GO

INSERT INTO dbo.Zamestnanec (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (3, N'Jana', N'Novkov', '19880315', 1)
GO

INSERT INTO dbo.Zamestnanec (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (4, N'Jiina', N'Dvokov', '19860810', 1)
GO

INSERT INTO dbo.Zamestnanec (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (5, N'Pavel', N'Dvok', '19750505', 0)
GO

INSERT INTO dbo.Zamestnanec (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (6, N'Ale', N'Hork', '19900607', 0)
GO

INSERT INTO dbo.Zamestnanec (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (7, N'Milena', N'Nprstkov', '19800730', 1)
GO

INSERT INTO dbo.Zamestnanec (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (8, N'Marie', N'Dvorsk', '19980705', 1)
GO

INSERT INTO dbo.Zamestnanec (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (9, NULL, N'Dvorsk', '19961108', 0)
GO

INSERT INTO dbo.Zamestnanec (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (10, N'Pavel', N'Dvok', '19910905', 0)
GO

COMMIT
GO

SET IDENTITY_INSERT dbo.Zamestnanec OFF
GO

--
-- Data for table dbo.Zamestnanec_DUPL  (LIMIT 0,500)
--

SET IDENTITY_INSERT dbo.Zamestnanec_DUPL ON
GO

BEGIN TRANSACTION
GO

INSERT INTO dbo.Zamestnanec_DUPL (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (1, N'Jan', N'Novk', '19800101', 0)
GO

INSERT INTO dbo.Zamestnanec_DUPL (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (2, N'Karel', N'Novk', '19630222', 0)
GO

INSERT INTO dbo.Zamestnanec_DUPL (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (3, N'Jana', N'Novkov', '19880315', 1)
GO

INSERT INTO dbo.Zamestnanec_DUPL (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (4, N'Jiina', N'Dvokov', '19860810', 1)
GO

INSERT INTO dbo.Zamestnanec_DUPL (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (5, N'Pavel', N'Dvok', '19750505', 0)
GO

INSERT INTO dbo.Zamestnanec_DUPL (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (6, N'Ale', N'Hork', '19900607', 0)
GO

INSERT INTO dbo.Zamestnanec_DUPL (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (7, N'Milena', N'Nprstkov', '19800730', 1)
GO

INSERT INTO dbo.Zamestnanec_DUPL (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (8, N'Marie', N'Dvorsk', '19980705', 1)
GO

INSERT INTO dbo.Zamestnanec_DUPL (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (9, NULL, N'Dvorsk', '19961108', 0)
GO

INSERT INTO dbo.Zamestnanec_DUPL (id, jmeno, prijmeni, datumNarozeni, pohlavi)
VALUES 
  (10, N'Pavel', N'Dvok', '19910905', 1)
GO

COMMIT
GO

SET IDENTITY_INSERT dbo.Zamestnanec_DUPL OFF
GO

--
-- Data for table dbo.ZamestnanecTym  (LIMIT 0,500)
--

SET IDENTITY_INSERT dbo.ZamestnanecTym ON
GO

BEGIN TRANSACTION
GO

INSERT INTO dbo.ZamestnanecTym (id, tymID, zamestnanecID, poziceID, stav)
VALUES 
  (1, 1, 1, 1, 1)
GO

INSERT INTO dbo.ZamestnanecTym (id, tymID, zamestnanecID, poziceID, stav)
VALUES 
  (2, 1, 2, 2, 0)
GO

INSERT INTO dbo.ZamestnanecTym (id, tymID, zamestnanecID, poziceID, stav)
VALUES 
  (3, 1, 3, 3, 1)
GO

INSERT INTO dbo.ZamestnanecTym (id, tymID, zamestnanecID, poziceID, stav)
VALUES 
  (4, 1, 4, 4, 1)
GO

INSERT INTO dbo.ZamestnanecTym (id, tymID, zamestnanecID, poziceID, stav)
VALUES 
  (5, 1, 5, 5, 1)
GO

INSERT INTO dbo.ZamestnanecTym (id, tymID, zamestnanecID, poziceID, stav)
VALUES 
  (6, 2, 6, 1, 1)
GO

INSERT INTO dbo.ZamestnanecTym (id, tymID, zamestnanecID, poziceID, stav)
VALUES 
  (7, 2, 2, 2, 1)
GO

INSERT INTO dbo.ZamestnanecTym (id, tymID, zamestnanecID, poziceID, stav)
VALUES 
  (8, 2, 7, 3, 1)
GO

INSERT INTO dbo.ZamestnanecTym (id, tymID, zamestnanecID, poziceID, stav)
VALUES 
  (9, 2, 8, 4, 1)
GO

INSERT INTO dbo.ZamestnanecTym (id, tymID, zamestnanecID, poziceID, stav)
VALUES 
  (10, 2, 5, 5, 1)
GO

COMMIT
GO

SET IDENTITY_INSERT dbo.ZamestnanecTym OFF
GO

--
-- Data for table dbo.ZamestnanecTymPrace  (LIMIT 0,500)
--

SET IDENTITY_INSERT dbo.ZamestnanecTymPrace ON
GO

BEGIN TRANSACTION
GO

INSERT INTO dbo.ZamestnanecTymPrace (id, zamestnanecTymID, mnozstvi, datumPrace, popis, casOd, casDo)
VALUES 
  (1, 1, 10, '20141015', N'Ppravn prce', N'10:00:00.0000000', N'12:30:00.0000000')
GO

INSERT INTO dbo.ZamestnanecTymPrace (id, zamestnanecTymID, mnozstvi, datumPrace, popis, casOd, casDo)
VALUES 
  (2, 1, 3, '20141020', N'Podklady', N'07:45:00.0000000', N'18:20:00.0000000')
GO

INSERT INTO dbo.ZamestnanecTymPrace (id, zamestnanecTymID, mnozstvi, datumPrace, popis, casOd, casDo)
VALUES 
  (3, 1, 5, '20141212', N'Dokumentace', N'09:00:00.0000000', N'13:25:00.0000000')
GO

INSERT INTO dbo.ZamestnanecTymPrace (id, zamestnanecTymID, mnozstvi, datumPrace, popis, casOd, casDo)
VALUES 
  (4, 1, 6, '20150108', N'Konzultace s tymem', N'08:15:00.0000000', N'16:30:00.0000000')
GO

INSERT INTO dbo.ZamestnanecTymPrace (id, zamestnanecTymID, mnozstvi, datumPrace, popis, casOd, casDo)
VALUES 
  (5, 1, 4, '20150215', N'Projekce', N'11:00:00.0000000', N'17:20:00.0000000')
GO

INSERT INTO dbo.ZamestnanecTymPrace (id, zamestnanecTymID, mnozstvi, datumPrace, popis, casOd, casDo)
VALUES 
  (6, 2, 3, '20141114', N'Pprava nvrh', N'06:00:00.0000000', N'09:30:00.0000000')
GO

INSERT INTO dbo.ZamestnanecTymPrace (id, zamestnanecTymID, mnozstvi, datumPrace, popis, casOd, casDo)
VALUES 
  (7, 4, 12, '20141205', N'Kolekce', N'11:00:00.0000000', N'14:15:00.0000000')
GO

COMMIT
GO

SET IDENTITY_INSERT dbo.ZamestnanecTymPrace OFF
GO

--
-- Definition for foreign keys : 
--

ALTER TABLE dbo.Tym
ADD CONSTRAINT Tym_fk FOREIGN KEY (projektID) 
  REFERENCES dbo.Projekt (id) 
  ON UPDATE NO ACTION
  ON DELETE NO ACTION
GO

ALTER TABLE dbo.ZamestnanecTym
ADD CONSTRAINT ZamestnanecTym_fk FOREIGN KEY (tymID) 
  REFERENCES dbo.Tym (id) 
  ON UPDATE NO ACTION
  ON DELETE NO ACTION
GO

ALTER TABLE dbo.ZamestnanecTym
ADD CONSTRAINT ZamestnanecTym_fk2 FOREIGN KEY (zamestnanecID) 
  REFERENCES dbo.Zamestnanec (id) 
  ON UPDATE NO ACTION
  ON DELETE NO ACTION
GO

ALTER TABLE dbo.ZamestnanecTym
ADD CONSTRAINT ZamestnanecTym_fk3 FOREIGN KEY (poziceID) 
  REFERENCES dbo.Pozice (id) 
  ON UPDATE NO ACTION
  ON DELETE NO ACTION
GO

ALTER TABLE dbo.ZamestnanecTymPrace
ADD CONSTRAINT ZamestnanecTymPrace_fk FOREIGN KEY (zamestnanecTymID) 
  REFERENCES dbo.ZamestnanecTym (id) 
  ON UPDATE NO ACTION
  ON DELETE NO ACTION
GO
